NewWacht Bench is live — AI-assisted development for Wacht

Add Phone Number

POST
/me/phone-numbers

Authorization

__session<token>

Session JWT stored as a cookie after sign-in. Used in production environments.

In: cookie

Request Body

application/x-www-form-urlencoded

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://{deployment_host}/me/phone-numbers" \  -H "Content-Type: application/x-www-form-urlencoded" \  -d 'phone_number=string&country_code=string'
{
  "status": 0,
  "message": "string",
  "data": {
    "id": "string",
    "phone_number": "string",
    "country_code": "string",
    "verified": true,
    "verified_at": "string"
  },
  "session": {
    "id": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}